## ocaml-ladspa 0.1.3

=== debian/changelog ===
ocaml-ladspa (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.2
  * Switch to 3.0 (quilt) package format. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 26 Jul 2011 15:41:33 -0500

ocaml-ladspa (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.3
  * Use new automatic dependency system
  * Changed section to ocaml
  * Added docbase registration
  * Versioned licenses in debian/copyright
  * Clean generated files in debian/rules clean

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 03:58:54 -0500

ocaml-ladspa (0.1.1-3) unstable; urgency=low

  * Switch packaging to git.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 22:29:48 +0100

ocaml-ladspa (0.1.1-2) experimental; urgency=low

  * New upload to experimental to build against ocaml 3.11.
  * Versioned ocaml-related build-dep to avoid confusion.
  * Switched to cdbs
  * Added dh-ocaml to build-deps.
  * Updated standards to 3.8.0.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 13 Dec 2008 23:29:20 +0100

ocaml-ladspa (0.1.1-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Romain Beauxis ]
  * New upstream release, now install .cmx file
  * Changed maintainer to Debian OCaml Maintainers
  * Updated standards to 3.7.3

  [ Julien Cristau ]
  * Fix FTBFS with new dpkg-dev by setting CFLAGS correctly in
    debian/rules (closes: 476014).

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 16 Apr 2008 01:45:22 +0100

ocaml-ladspa (0.1.0-2) unstable; urgency=low

  * Added ocaml-findlib to build dependencies.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Nov 2007 16:54:21 +0100

ocaml-ladspa (0.1.0-1) unstable; urgency=low

  * Initial upload to sid (Closes: #451233)

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Nov 2007 02:03:50 +0100

## ocaml-ladspa 0.1.4

=== examples/amp/Makefile ===
SOURCES=amp.ml
RESULT=amp
INCDIRS=../../src
LIBS=ladspa
OCAMLMAKEFILE=../OCamlMakefile

test: all
	./amp

valgrind: all
	valgrind --leak-check=full --show-reachable=yes ./amp

all: nc

include $(OCAMLMAKEFILE)

=== debian/changelog ===
ocaml-ladspa (0.1.4-1.1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 12:29:10 -0600

ocaml-ladspa (0.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to update for new architectures (Closes: 778898,764060,765240)
  * Fix typo (Closes: 644755)

 -- Wookey <wookey@debian.org>  Sun, 31 May 2015 00:16:55 +0100

ocaml-ladspa (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Oct 2011 16:26:53 +0200

=== debian/control ===
Source: ocaml-ladspa
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs,
 autotools-dev,
 debhelper,
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), dh-autoreconf, ladspa-sdk, ocaml-findlib (>= 1.2.4)
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-ladspa.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-ladspa.git

Package: libladspa-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for LADSPA -- runtime files
 LADSPA is a free standard specification for audio effect plugins.
 Ocaml-ladspa provide an interface for OCaml programmers to this
 architecture.
 .
 This package contains only the shared runtime stub binaries.

Package: libladspa-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ladspa-sdk, libladspa-ocaml (= ${binary:Version}), 
         ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for LADSPA -- development files
 LADSPA is a free standard specification for audio effect plugins.
 Ocaml-ladspa provide an interface for OCaml programmers to this
 architecture.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ladspa.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libladspa-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf Makefile config.log config.status src/META src/Makefile doc

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-ladspa-(.+)\.tar\.gz

## ocaml-ladspa 0.1.5

=== examples/inspect/Makefile ===
SOURCES=inspect.ml
RESULT=inspect
INCDIRS=../../src
LIBS=unix ladspa
OCAMLMAKEFILE=../OCamlMakefile

test: all
	./inspect

all: nc

include $(OCAMLMAKEFILE)

=== debian/changelog ===
ocaml-ladspa (0.1.5-1) unstable; urgency=medium

  * Team upload
  * Remove Samuel and Romain from Uploaders
  * Update Homepage and debian/watch
  * New upstream release
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Aug 2020 10:54:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs,
- autotools-dev,
- debhelper,
+Build-Depends:
+ debhelper-compat (= 13),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), dh-autoreconf, ladspa-sdk, ocaml-findlib (>= 1.2.4)
-Standards-Version: 3.9.2
-Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-ladspa.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-ladspa.git
+ dh-ocaml,
+ dh-autoreconf,
+ ladspa-sdk,
+ ocaml-findlib
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/savonet/ocaml-ladspa
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ladspa.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ladspa
 
 Package: libladspa-ocaml
 Architecture: any
@@ -27,7 +29,7 @@
 
 Package: libladspa-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, ladspa-sdk, libladspa-ocaml (= ${binary:Version}), 
+Depends: ${ocaml:Depends}, ladspa-sdk, libladspa-ocaml (= ${binary:Version}),
          ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml bindings for LADSPA -- development files

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-ladspa/releases .*ocaml-ladspa-([0-9.]+)\.tar\.gz

## ocaml-ladspa 0.2.0

=== debian/changelog ===
ocaml-ladspa (0.2.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 06:48:36 +0100

ocaml-ladspa (0.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 18:19:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  dh-buildinfo,
  ocaml-nox,
  dh-ocaml,
- dh-autoreconf,
  ladspa-sdk,
- ocaml-findlib
-Standards-Version: 4.5.0
+ ocaml-dune,
+ libdune-ocaml-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-ladspa
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ladspa.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ladspa

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

## ocaml-ladspa 0.2.2

=== debian/changelog ===
ocaml-ladspa (0.2.2-4) unstable; urgency=medium

  * Team upload
  * Remove dh-buildinfo from Build-Depends
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 01:35:48 +0200

ocaml-ladspa (0.2.2-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:13:21 +0200

ocaml-ladspa (0.2.2-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 07:15:24 +0200

ocaml-ladspa (0.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 12:44:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
- ocaml-nox,
- dh-ocaml,
+ ocaml,
+ dh-ocaml (>= 1.2),
  ladspa-sdk,
  ocaml-dune,
  libdune-ocaml-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-ladspa
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ladspa.git

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-ladspa/tags .*/v?([0-9.]+)\.tar\.gz
